Subject: [PATCH 0/4] vim: Detect plugins via search paths.

From: SeerLite <[email-masked]>
Date: Wed, 2 Mar 2022 10:11:36 -0300

Hi!

These patches make Vim use native-search-paths to search for plugins, 
instead of manually searching for them in a set of hardcoded paths, 
which is how it was done up till now.

I've added the same search paths to Neovim, which unlike Vim, wasn't 
auto-detecting Vim plugins at all before.

Neovim also searches XDG_DATA_DIRS for Neovim-specific plugins, so I'd 
appreciate if <https://issues.guix.gnu.org/48112> was merged too.

Finally, I've updated the package definitions to use the new style with 
gexps and label-less inputs.

SeerLite